List durable screenshots for a session.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/screenshots \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/screenshots"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/screenshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/screenshots"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"limit": 100,
"offset": 123,
"total": 1,
"has_more": true,
"next_cursor": "<string>"
},
"screenshots": [
{
"content_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"mime_type": "<string>",
"session_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"size_bytes": 10485760,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"height": 32768,
"width": 8192
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Evidence
List durable screenshots for a session.
Creator-only. Screenshot metadata and objects are retained indefinitely.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
sessions
/
{session_uuid}
/
screenshots
List durable screenshots for a session.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/screenshots \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/screenshots"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/screenshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/screenshots"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"limit": 100,
"offset": 123,
"total": 1,
"has_more": true,
"next_cursor": "<string>"
},
"screenshots": [
{
"content_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"mime_type": "<string>",
"session_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sha256": "<string>",
"size_bytes": 10485760,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"height": 32768,
"width": 8192
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Query Parameters
Required range:
1 <= x <= 200Minimum string length:
1⌘I